package com.jz.sms.api;

import com.alibaba.fastjson.JSONObject;
import com.jz.sms.dto.*;
import com.jz.sms.service.MessageService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("/test")
public class BizController {

    private static final Logger log = LoggerFactory.getLogger(BizController.class);


    @Autowired
    private MessageService messageService;


    /**
     * 创建短信模板
     *
     * @return
     */
    @PostMapping("/sms/template")
    public DmHubTemplateResponse template(@RequestBody DmHubTemplateRequest params) {
        log.info("**********创建模板接口入参*******：{}", JSONObject.toJSONString(params));
        DmHubTemplateResponse template = messageService.createTemplate(params);
        log.info("**********创建模板接口出参*******：{}", JSONObject.toJSONString(template));
        return template;
    }


    /**
     * 批量发送（通知或营销类）
     *
     * @return
     */
    @PostMapping("/sms/batch")
    public DmHubBatchSendResponse batch(@RequestBody DmHubBatchSendRequest request) {
        log.info("**********批量发送入参*******：{}", JSONObject.toJSONString(request));
        DmHubBatchSendResponse response = messageService.batchSend(request);
//        log.info("**********批量发送入参*******：{}", response);
        return response;
    }


    /**
     * 发送单条（通知或营销类）
     *
     * @return
     */
    @RequestMapping("/sms/send")
    public DmHubSendResponse send(@RequestBody DmHubSendRequest request) {

        log.info("**********单条发送入参*******：{}", JSONObject.toJSONString(request));
        DmHubSendResponse response = messageService.send(request);
        log.info("**********单条发送出参*******：{}", JSONObject.toJSONString(response));
        return response;
    }


}
